Does the LabTutor Server version have to match LabTutor Client version? If so, how do I ensure they're the same?

Yes- both components of LabTutor need to be of the same version. If LabTutor Server is upgraded, then all Clients attempting to access the recently-upgraded Server will be prompted to upgrade also (or install, if no previous versions are installed).

This information is valid for LabTutor v4.1 or later.